dubbo:
  application:
    name: search-service
    qos-enable: true
    qos-port: 16107
    qos-accept-foreign-ip: false
  scan:
    base-packages: cn.reghao.tnb.search.app.rpc
  protocol:
    name: dubbo
    port: 6107
server:
  port: 6007
  tomcat:
    max-http-form-post-size: 4MB
spring:
  application:
    name: search-service
  profiles:
    active: @profile.active@
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    type: com.zaxxer.hikari.HikariDataSource
    hikari:
      minimum-idle: 5
      maximum-pool-size: 10
      auto-commit: true
      idle-timeout: 30000
      pool-name: EvaluationHikariCP
      max-lifetime: 1800000
      connection-timeout: 30000
      connection-test-query: SELECT 1
  jpa:
    show-sql: false
    open-in-view: true
    hibernate:
      ddl-auto: update
    properties:
      hibernate.format_sql: true
      hibernate.naming.physical-strategy: org.hibernate.scripts.model.naming.PhysicalNamingStrategyStandardImpl
      hibernate.cache.use_second_level_cache: false
      hibernate.search.backend.directory.type: local-filesystem
      hibernate.search.backend.directory.root: ${site.indexDir}
      hibernate.search.backend.analysis.configurer: class:cn.reghao.tnb.search.app.config.MyLuceneAnalysisConfigurer
eureka:
  instance:
    prefer-ip-address: true
  client:
    register-with-eureka: true
    fetch-registry: true
site:
  indexDir: /opt/data/searchdata